class AuthenticationUserModel {
  int statusCode;
  String message;
  Result result;

  AuthenticationUserModel({this.statusCode, this.message, this.result});

  AuthenticationUserModel.fromJson(Map<String, dynamic> json) {
    statusCode = json['statusCode'];
    message = json['message'];
    result = json['result'] != null ? new Result.fromJson(json['result']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['statusCode'] = this.statusCode;
    data['message'] = this.message;
    if (this.result != null) {
      data['result'] = this.result.toJson();
    }
    return data;
  }
}

class Result {
  int totalItemsCount;
  int statusCode;
  String message;
  ResultData data;

  Result({this.totalItemsCount, this.statusCode, this.message, this.data});

  Result.fromJson(Map<String, dynamic> json) {
    totalItemsCount = json['totalItemsCount'];
    statusCode = json['statusCode'];
    message = json['message'];
    data = json['data'] != null ? new ResultData.fromJson(json['data']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['totalItemsCount'] = this.totalItemsCount;
    data['statusCode'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data.toJson();
    }
    return data;
  }
}

class ResultData {
  String token;
  String userId;
  String email;
  String mobileNumber;
  String userName;

  ResultData({this.token, this.userId, this.email, this.mobileNumber, this.userName});

  ResultData.fromJson(Map<String, dynamic> json) {
    token = json['token'];
    userId = json['userId'];
    email = json['email'];
    mobileNumber = json['mobileNumber'];
    userName = json['userName'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['token'] = this.token;
    data['userId'] = this.userId;
    data['email'] = this.email;
    data['mobileNumber'] = this.mobileNumber;
    data['userName'] = this.userName;
    return data;
  }
}
